{"openapi":"3.0.1","info":{"title":"LTS_API","license":{"name":"Landesverband der Tourismusorganisationen S\u00fcdtirols","url":"https://www.lts.it/index.php/de/"},"description":"<div id=\"description-start\"></div>\n\n# Introduction\n\nWelcome to the **LTS API**. The API supports **REST** protocol, allowing you to access and manipulate data within our platform.\n\nWith this API, you can retrieve information, create and update resources, and perform other actions to interact with our system. \n\n## Standards \nThe API utilizes the international standards for **Country** codes as specified in **ISO 3166-1 alpha-2** and **Language** codes as specified in **ISO 639-1**.\nThis ensures consistent and accurate identification of both countries and languages across the system.\n\n## Sorting\nThe **\"sort\"** parameter is used in API endpoints that return a list of data, such as ***search*** and ***list*** endpoints.\nThese endpoints typically return a large set of data, and the **\"sort\"** parameter allows you to organize the data in a specific order that is most useful for your application.\nIf the sort value includes a language, the `language` parameter is also required.\nFor example, if the API endpoint returns a list of accommodations, the **\"sort\"** parameter can be used to sort the list by the accommodation's name. To sort the list in ascending order for German, the parameter value would be ``sort=name&language=de``. To sort the list in descending order, the parameter value would be ``sort=-name&language=de``.\n\nExamples:\n\n1. ``?sort=name&language=de``\n2. ``?sort=-name&language=de``\n3. ``?sort=random``\n\n<br/>\n\n## Fields\nThe **\"fields\"** parameter in an API is used to specify which fields should be included in the response. To exclude a field, add a '-' before its value. The parameter takes a string value that represents the field or fields that should be included in the response. Multiple fields can be passed by separating them with a comma.\nFor example, if the API endpoint returns information about accommodation, the **\"fields\"** parameter can be used to specify which pieces of information should be included in the response. To include only  name and code, the parameter value would be ``fields=name,code``.\nIt is important to note that if only the `rid` or `id` field is passed the pagination size is set to unlimited by default.\n\nExamples:\n\n1. ``?fields=rid``\n2. ``?fields=rid,contacts,code,category.rid``\n3. ``?fields=-descriptions,-images``\n\n<br/>\n\n## Filter\nThe **\"filter\"** parameter in an API is used to specify various filter criterias for the resultset in the response. The parameter **\"filter\"** is an array with the criteria name as array-ky and a string or multiple string as value for the filter criteria. When allowed, multiple values can be passed by separating them with a comma.\nAs usual, filter parameters could be concatenated in GET requests with **&**. For example, if the API endpoint returns information about accommodation, the **\"filter\"** parameter can be used to limit the result to a specific tourism organizations. In that case the parameter could look like ``filter[tourismOrganizationRids]=A3357363122E4A4C933CCEB417AE70EF,0C3E92D14A6846FE84BDFE0840C134E0``.\n\nExamples:\n\n1. ``?filter[rids]=A3357363122E4A4C933CCEB417AE70EF,0C3E92D14A6846FE84BDFE0840C134E0``\n2. ``?filter[startDate]=2023-08-01&filter[endData]=2023-08-10&filter[tourismOrganizationRids]=A3357363122E4A4C933CCEB417AE70EF``\n3. ``?filter[lastUpdate]=2023-10-05&filter[onlyActive]=false``\n\n<br/>\n\n## Paging\nPaging can be passed in the form of ``page[size]=1`` to define the size of each page, and ``page[number]=1`` to define the page number. \nThe default page size and the maximum limit is **100**, but if the \"fields\" parameter is set to `id` or `rid`, the page size limit is set to unlimited by default.\nFor example, if the API endpoint returns a list of gastronomies, you can use the \"paging\" parameter to retrieve the second page of data with a page size of 12 by passing \n``page[size]=12&page[number]=2`` in **list**  and ```{\"paging\": {\"pageNumber\": 1,\"pageSize\": 12 }}``` in ***advanced search*** as a parameter/body.\n\nExamples:\n\n1. ``?page[number]=2``\n2. ``?page[number]=2&page[size]=5``\n\n<br/>\n\n## Advanced search endpoints\nOne of the key features of LTS API is the ability to make calls using the ``POST /search`` endpoints. These endpoints, are JSON-based and allow developers to search for data in an advanced way by passing query parameters as a JSON payload, rather than in the URL. This can be useful for more complex search queries or for situations where the number of query parameters exceeds the maximum allowed in a URL, such as ResultSets.\n\n\n## Postman Examples\n\n1. Open Postman and click on the `Import` button located at the upper left corner of the window.\n2. In the `Import` window, select `Link` from the options.\n3. Copy the download link below to import into Postman and paste it. \n4. After the import click the Collections tab, click on the most upper folder `LTS API`.\n5. In the `Pre-request Script` tab, paste the following code to set Global headers: `pm.request.headers.add({key: 'X-LTS-ClientID', value: '' });`.\n6. In the `Authorization` tab enter the credentials or token needed to authenticate.\n\n[Download the complete swagger definition file][BaR]\n\n[bar]: # \"getJson\"\n\n<div id=\"description-end\"></div>\n","contact":{"name":"lts","email":"ticket@lts.it"},"version":"1.0.0"},"servers":[{"url":"https://go.lts.it/api"}],"security":[{"basicAuth":[],"X-LTS-ClientID":[]},{"bearerAuth":[]}],"paths":{"/v1/gpxs/{rid}/download":{"get":{"operationId":"gpxDownloadGPXDownload","tags":["GPXDownload"],"summary":"Get a single gPXDownload","description":"","parameters":[{"name":"rid","in":"path","required":true,"schema":{"type":"string"}},{"name":"filter","in":"query","description":"The API's filter parameter enables data filtering. To apply multiple filters, connect them using & e.g ```filter[a]=1&filter[b]=test```. The available filters are: <br>```filter[formatType]``` Allows to indicate in which format the GPX should be received: reduced (default) or original. Rules:```string, in:original,reduced```","required":false,"style":"deepObject","allowReserved":true,"explode":true,"schema":{"additionalProperties":false,"type":"object","properties":{"formatType":{"type":"string","enum":["original","reduced"],"example":"original"}}}}],"responses":{"200":{"description":"successful operation","content":{"application/xml":[]}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/v1/accommodations/search":{"post":{"operationId":"searchAccommodation","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"parameters":{"type":"object","properties":{"rids":{"type":"array","items":{"maxLength":32,"minLength":32,"type":"string","example":"6EB1F4EF6B1E7DEA2EB4108DE741276C"}},"onlyActive":{"type":"boolean","example":false},"tourismOrganizationRids":{"type":"array","items":{"type":"string","maxLength":32,"minLength":32,"example":"86077B4BFD7702A899B9C3AF782E13C8"}},"marketingGroupRids":{"type":"array","items":{"type":"string","maxLength":32,"minLength":32,"example":"3E80A622699437BD50D4E3B1D683A288"}},"municipalityIstatIds":{"type":"array","items":{"type":"string","maximum":10,"example":"Suscipit."}},"lastUpdate":{"type":"string","format":"date-time","description":"Date and time of last change","example":"2014-03-16T01"},"cinCode":{"type":"string","maximum":20,"description":"CIN Code of Accommodation","example":"In."},"language":{"type":"string","enum":["cs","de","en","nl","fr","it","pl","ru"],"example":"fr"},"resultSet":{"type":"object","properties":{"rid":{"maxLength":32,"minLength":32,"type":"string","example":"A4391FDE9E926349FB9F05054D7C4146"},"filterAndSummaryGroups":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","format":"int32","example":73},"type":{"type":"string","maximum":30,"enum":["amenity","roomGroupAmenity","category","type"],"example":"Voluptatum."},"filters":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","format":"int32","example":11},"isSelected":{"type":"boolean","example":true},"rids":{"type":"array","items":{"maxLength":32,"minLength":32,"type":"string","example":"B706DDC8B0DDFBF7E386514382ED456C"}}}}}}}}}},"onlySuedtirolInfoActive":{"type":"boolean","example":false},"districtRids":{"type":"array","items":{"maxLength":32,"minLength":32,"type":"string","example":"C83044D89C339A5EB24AC3FFF3F67CE9"}},"minAltitude":{"type":"integer","format":"int32","example":11},"maxAltitude":{"type":"integer","format":"int32","example":18},"representationMode":{"type":"string","enum":["minimal","full","none"],"description":"Representation mode of the Accommodation (see enums list for possible values in the schema definition)","example":"minimal"},"mealPlanRids":{"type":"array","items":{"maxLength":32,"minLength":32,"type":"string","example":"5DC7CA1126D1D11BC5948652FF2C1CBE"}},"amenityRids":{"type":"array","items":{"maxLength":32,"minLength":32,"type":"string","example":"D7BF625F6EBABEC4465D3EDD623EBCB4"}},"roomGroup":{"type":"object","properties":{"amenityRids":{"type":"array","items":{"maxLength":32,"minLength":32,"type":"string","example":"4A6CBC24891491B69CB78B3F83512934"}}}},"typeRids":{"type":"array","items":{"maxLength":32,"minLength":32,"type":"string","example":"A676FF631DFDE521B031728E62BA954D"}},"hasRooms":{"type":"boolean","description":"Defines if the Accommodation has rooms","example":false},"hasApartments":{"type":"boolean","description":"Defines if the Accommodation has apartments","example":false},"categoryRids":{"type":"array","items":{"maxLength":32,"minLength":32,"type":"string","example":"505B3B22ED4C2EEAF470BE8AAACE9E65"}},"holidayPackageRids":{"type":"array","items":{"maxLength":32,"minLength":32,"type":"string","example":"B9E4B2215D53B2B69C43AD4D08F830B8"}},"addressGroupRids":{"type":"array","items":{"maxLength":32,"minLength":32,"type":"string","example":"3174A43BFC86116B3743D7042DB93471"}},"addressGroupCodes":{"type":"array","items":{"maxLength":10,"minLength":10,"type":"string","example":"9E9B938F4E"}},"onlyBookable":{"type":"boolean","example":true},"onlyActiveGaleries":{"type":"boolean","example":false},"contactType":{"type":"string","enum":["main","invoicing","private"],"example":"invoicing"},"onlyHgvActive":{"type":"boolean","example":false},"onlyAstatActive":{"type":"boolean","example":false},"suedtirolGuestPassCardTypesRids":{"type":"array","items":{"type":"string","maxLength":32,"minLength":32,"example":"77D9B92B7F176521E327EA5948230F62"}},"searchTerm":{"type":"string","maximum":255,"example":"Quae."},"paging":{"type":"object","properties":{"pageNumber":{"type":"integer","format":"int32","example":1},"pageSize":{"type":"integer","format":"int32","example":2}}},"sorting":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","example":["name","category","random","lastUpdate"]},"order":{"type":"string","example":"desc","enum":["asc","desc"]}}}}}},"fields":{"type":"array","items":{"type":"string"},"example":["ratePlans.*.alpineBitsRatePlanId","ratePlans.*.chargeType","ratePlans.*.code","ratePlans.*.descriptions.*.description.cs","ratePlans.*.descriptions.*.description.de","ratePlans.*.descriptions.*.description.en","ratePlans.*.descriptions.*.description.fr","ratePlans.*.descriptions.*.description.it","ratePlans.*.descriptions.*.description.nl","ratePlans.*.descriptions.*.description.pl","ratePlans.*.descriptions.*.description.ru","ratePlans.*.descriptions.*.type","ratePlans.*.isSpecialOffer","ratePlans.*.lastUpdate","ratePlans.*.name.cs","ratePlans.*.name.de","ratePlans.*.name.en","ratePlans.*.name.fr","ratePlans.*.name.it","ratePlans.*.name.nl","ratePlans.*.name.pl","ratePlans.*.name.ru","ratePlans.*.rid","ratePlans.*.visibility","type.rid","rid","marketingGroups.*.rid","addressGroups.*.rid","amenities.*.rid","areaMap.coordinateX","areaMap.coordinateY","areaMap.number","areaMap.routeColor","category.rid","contacts.*.address.city.cs","contacts.*.address.city.de","contacts.*.address.city.en","contacts.*.address.city.fr","contacts.*.address.city.it","contacts.*.address.city.nl","contacts.*.address.city.pl","contacts.*.address.city.ru","contacts.*.address.country","contacts.*.address.name.cs","contacts.*.address.name.de","contacts.*.address.name.en","contacts.*.address.name.fr","contacts.*.address.name.it","contacts.*.address.name.nl","contacts.*.address.name.pl","contacts.*.address.name.ru","contacts.*.address.name2.cs","contacts.*.address.name2.de","contacts.*.address.name2.en","contacts.*.address.name2.fr","contacts.*.address.name2.it","contacts.*.address.name2.nl","contacts.*.address.name2.pl","contacts.*.address.name2.ru","contacts.*.address.postalCode","contacts.*.address.street.cs","contacts.*.address.street.de","contacts.*.address.street.en","contacts.*.address.street.fr","contacts.*.address.street.it","contacts.*.address.street.nl","contacts.*.address.street.pl","contacts.*.address.street.ru","contacts.*.email","contacts.*.fax","contacts.*.phone","contacts.*.type","contacts.*.website","descriptions.*.description.cs","descriptions.*.description.de","descriptions.*.description.en","descriptions.*.description.fr","descriptions.*.description.it","descriptions.*.description.nl","descriptions.*.description.pl","descriptions.*.description.ru","descriptions.*.type","district.rid","galeries.*.images.*.copyright","galeries.*.images.*.name.cs","galeries.*.images.*.name.de","galeries.*.images.*.name.en","galeries.*.images.*.name.fr","galeries.*.images.*.name.it","galeries.*.images.*.name.nl","galeries.*.images.*.name.pl","galeries.*.images.*.name.ru","galeries.*.images.*.heightPixel","galeries.*.images.*.isActive","galeries.*.images.*.license","galeries.*.images.*.order","galeries.*.images.*.rid","galeries.*.images.*.url","galeries.*.images.*.widthPixel","galeries.*.isActive","galeries.*.order","galeries.*.rid","hasApartments","hasDorms","hasPitches","hasRooms","hgvId","id","images.*.applicableEndDate","images.*.applicableStartDate","images.*.copyright","images.*.heightPixel","images.*.license","images.*.rid","images.*.url","images.*.widthPixel","images.*.name.cs","images.*.name.de","images.*.name.en","images.*.name.fr","images.*.name.it","images.*.name.nl","images.*.name.pl","images.*.name.ru","isAccommodation","isActive","isBookable","isCamping","isSuedtirolInfoActive","isTourismOrganizationMember","lastUpdate","lastUpdatePrices","lastUpdateAvailability","cinCode","mealPlans.*.rid","overview.camping.capacityPersons","overview.camping.dishwashingSpaces","overview.camping.laundrySpaces","overview.camping.pitches","overview.camping.showers","overview.camping.toilets","overview.checkInStartTime","overview.checkInEndTime","overview.checkOutStartTime","overview.checkOutEndTime","overview.luggageServiceEndTime","overview.luggageServiceStartTime","overview.parkingSpaces.garage","overview.parkingSpaces.outdoor","overview.receptionEndTime","overview.receptionStartTime","overview.roomServiceEndTime","overview.roomServiceStartTime","position.altitude","position.coordinates.*","position.coordinates","position.type","representationMode","reviews.*.id","reviews.*.isActive","reviews.*.rating","reviews.*.reviewsQuantity","reviews.*.status","reviews.*.type","roomGroups.*.amenities.*.rid","roomGroups.*.baths","roomGroups.*.classification","roomGroups.*.code","roomGroups.*.descriptions.*.description.cs","roomGroups.*.descriptions.*.description.de","roomGroups.*.descriptions.*.description.en","roomGroups.*.descriptions.*.description.fr","roomGroups.*.descriptions.*.description.it","roomGroups.*.descriptions.*.description.nl","roomGroups.*.descriptions.*.description.pl","roomGroups.*.descriptions.*.description.ru","roomGroups.*.descriptions.*.type","roomGroups.*.diningRooms","roomGroups.*.images.*.copyright","roomGroups.*.images.*.heightPixel","roomGroups.*.images.*.license","roomGroups.*.images.*.name.cs","roomGroups.*.images.*.name.de","roomGroups.*.images.*.name.en","roomGroups.*.images.*.name.fr","roomGroups.*.images.*.name.it","roomGroups.*.images.*.name.nl","roomGroups.*.images.*.name.pl","roomGroups.*.images.*.name.ru","roomGroups.*.images.*.order","roomGroups.*.images.*.rid","roomGroups.*.images.*.url","roomGroups.*.images.*.widthPixel","roomGroups.*.isActive","roomGroups.*.lastUpdate","roomGroups.*.livingRooms","roomGroups.*.minAmountPerPersonPerDay","roomGroups.*.minAmountPerUnitPerDay","roomGroups.*.name.cs","roomGroups.*.name.de","roomGroups.*.name.en","roomGroups.*.name.fr","roomGroups.*.name.it","roomGroups.*.name.nl","roomGroups.*.name.pl","roomGroups.*.name.ru","roomGroups.*.occupancy.max","roomGroups.*.occupancy.min","roomGroups.*.occupancy.minAdults","roomGroups.*.occupancy.standard","roomGroups.*.rid","roomGroups.*.roomQuantity","roomGroups.*.rooms.*.availability.isBlocked","roomGroups.*.rooms.*.availability.lastUpdate","roomGroups.*.rooms.*.availability.status","roomGroups.*.rooms.*.availability.statusStartDate","roomGroups.*.rooms.*.code","roomGroups.*.rooms.*.lastUpdate","roomGroups.*.rooms.*.rid","roomGroups.*.sleepingRooms","roomGroups.*.squareMeters","roomGroups.*.toilets","roomGroups.*.type","seasons.*.endDate","seasons.*.startDate","tourismOrganization.rid","trustyouScore","suedtirolGuestPass.isActive","suedtirolGuestPass.cardTypes.*.rid","accessibility.website.cs","accessibility.website.de","accessibility.website.en","accessibility.website.fr","accessibility.website.it","accessibility.website.nl","accessibility.website.pl","accessibility.website.ru","accessibility.description.cs","accessibility.description.de","accessibility.description.en","accessibility.description.fr","accessibility.description.it","accessibility.description.nl","accessibility.description.pl","accessibility.description.ru"]}}}}}},"tags":["Accommodation"],"parameters":[],"summary":"Advanced and json-based endpoint to list, search and filter Accommodations","description":"### Fields Note\nIf the provided fields match any of the keys in the array, paging will be unlimited. The following keys are accepted for unlimited paging:\n\n`rid, id, isTourismOrganizationMember, type.rid, category.rid, representationMode, position.type, position.coordinates.0, position.coordinates.1, position.altitude, contacts.*.type, contacts.*.phone, contacts.*.mobile, contacts.*.fax, contacts.*.firstName, contacts.*.lastName, contacts.*.website, contacts.*.email, contacts.*.address.name.de, contacts.*.address.name.en, contacts.*.address.name.it, contacts.*.address.name2.de, contacts.*.address.name2.en, contacts.*.address.name2.it, contacts.*.address.street.de, contacts.*.address.street.en, contacts.*.address.street.it, contacts.*.address.city.de, contacts.*.address.city.en, contacts.*.address.city.it, contacts.*.address.postalCode, contacts.*.address.country, images.*.rid, images.*.url, images.*.applicableStartDate, images.*.applicableEndDate, images.*.widthPixel, images.*.heightPixel, images.*.copyright, images.*.license, tourismOrganization.rid, contacts.*.address.name.fr, contacts.*.address.name2.fr, contacts.*.address.street.fr, contacts.*.address.city.fr, contacts.*.address.name.nl, contacts.*.address.name2.nl, contacts.*.address.street.nl, contacts.*.address.city.nl, contacts.*.address.name2`\n","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/accommodationSearch"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/v1/accommodations/categories":{"get":{"operationId":"indexAccommodationCategory","tags":["AccommodationCategory"],"summary":"List, search or filter AccommodationCategories","description":"","parameters":[{"$ref":"#/components/parameters/paraLanguage"},{"name":"page[size]","in":"query","description":"The number of records per page for the API response. Allows you to control the amount of data returned per page. Default value is 100. Maximum value is 100, unless the 'fields' parameter is passed with only 'rid' field, in this case the page size limit is unlimited.","required":false,"schema":{"type":"integer","minimum":1,"default":100}},{"$ref":"#/components/parameters/paraPage[number]"},{"name":"filter","in":"query","description":"The API's filter parameter enables data filtering. To apply multiple filters, connect them using & e.g ```filter[a]=1&filter[b]=test```. The available filters are: <br>```filter[language]``` Filter by language. Rules:```string, in:cs,de,en,nl,fr,it,pl,ru```<br>```filter[lastUpdate]``` Date filter for last update. Rules:```date_format:Y-m-d\\TH:i:s.v```<br>```filter[rids]``` Filter Category by record Rids. Rules:```multiple, size:32, string```","required":false,"style":"deepObject","explode":true,"allowReserved":true,"schema":{"additionalProperties":false,"type":"object","properties":{"language":{"type":"string","enum":["cs","de","en","nl","fr","it","pl","ru"],"example":"cs"},"lastUpdate":{"type":"string","format":"date-time","description":"Date and time of last change","example":"2017-05-10T21"},"rids":{"maxLength":32,"minLength":32,"type":"string","example":"9F281667718CF71AEEB9E42AFDAE5BDF"}}}},{"name":"sort","in":"query","description":"Requests for retrieved resources to be sorted by the value some selected field. Sorting requests may be in ascending (e.g., sort=startDate) or descending order (e.g., sort=-length) by prefixing the field name with a MINUS (U+002D) character. If the sort value includes a language, the `language` parameter is also required. Sorting is available over (```name,code,lastUpdate```) the primitive attributes of an endpoint's resources.","required":false,"schema":{"type":"string"}},{"name":"fields","in":"query","description":"Selects which fields (i.e., attributes or relationships) should be present in returned resource. To exclude a field, add a  \"-\" before its value. Multiple fields can be passed separated by a comma \",\". If only \"rid\" or \"id\" is passed, pagination size is unlimited by default. (e.g. ```rid,lastUpdate,code,order,name.cs,name.pl,name.ru,name.fr,name.nl,name.de,name.en,name.it```).","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/accommodationCategoryIndex"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/v1/accommodations/categories/{rid}":{"get":{"operationId":"showAccommodationCategory","tags":["AccommodationCategory"],"summary":"Get a single accommodationCategory","description":"","parameters":[{"name":"rid","in":"path","required":true,"schema":{"type":"string"}},{"name":"fields","in":"query","description":"Selects which fields (i.e., attributes or relationships) should be present in returned resource. To exclude a field, add a  \"-\" before its value. Multiple fields can be passed separated by a comma \",\". If only \"rid\" or \"id\" is passed, pagination size is unlimited by default. (e.g. ```rid,lastUpdate,code,order,name.cs,name.pl,name.ru,name.fr,name.nl,name.de,name.en,name.it```).","required":false,"schema":{"type":"string"}},{"$ref":"#/components/parameters/paraLanguage"}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/accommodationCategoryShow"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/v1/accommodations/categories/search":{"post":{"operationId":"searchAccommodationCategory","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"parameters":{"type":"object","properties":{"language":{"type":"string","enum":["cs","de","en","nl","fr","it","pl","ru"],"example":"fr"},"lastUpdate":{"type":"string","format":"date-time","description":"Date and time of last change","example":"1963-01-02T04"},"rids":{"type":"array","items":{"maxLength":32,"minLength":32,"type":"string","example":"637391953AE6711EF5F1F9243B9ABCD6"}},"paging":{"type":"object","properties":{"pageNumber":{"type":"integer","format":"int32","example":1},"pageSize":{"type":"integer","format":"int32","example":2}}},"sorting":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","example":["name","code","lastUpdate"]},"order":{"type":"string","example":"desc","enum":["asc","desc"]}}}}}},"fields":{"type":"array","items":{"type":"string"},"example":["rid","lastUpdate","code","order","name.cs","name.pl","name.ru","name.fr","name.nl","name.de","name.en","name.it"]}}}}}},"tags":["AccommodationCategory"],"parameters":[],"summary":"Advanced and json-based endpoint to list, search and filter AccommodationCategories","description":"","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/accommodationCategorySearch"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/v1/accommodations/types":{"get":{"operationId":"indexAccommodationType","tags":["AccommodationType"],"summary":"List, search or filter AccommodationTypes","description":"","parameters":[{"$ref":"#/components/parameters/paraLanguage"},{"name":"page[size]","in":"query","description":"The number of records per page for the API response. Allows you to control the amount of data returned per page. Default value is 100. Maximum value is 100, unless the 'fields' parameter is passed with only 'rid' field, in this case the page size limit is unlimited.","required":false,"schema":{"type":"integer","minimum":1,"default":100}},{"$ref":"#/components/parameters/paraPage[number]"},{"name":"filter","in":"query","description":"The API's filter parameter enables data filtering. To apply multiple filters, connect them using & e.g ```filter[a]=1&filter[b]=test```. The available filters are: <br>```filter[language]``` Filter by language. Rules:```string, in:cs,de,en,nl,fr,it,pl,ru```<br>```filter[lastUpdate]``` Date filter for last update. Rules:```date_format:Y-m-d\\TH:i:s.v```<br>```filter[rids]``` Filter Type by record Rids. Rules:```multiple, size:32, string```","required":false,"style":"deepObject","explode":true,"allowReserved":true,"schema":{"additionalProperties":false,"type":"object","properties":{"language":{"type":"string","enum":["cs","de","en","nl","fr","it","pl","ru"],"example":"fr"},"lastUpdate":{"type":"string","format":"date-time","description":"Date and time of last change","example":"1959-04-05T23"},"rids":{"maxLength":32,"minLength":32,"type":"string","example":"1EA021D1CEE8E3BA5F9CB316700BD36A"}}}},{"name":"sort","in":"query","description":"Requests for retrieved resources to be sorted by the value some selected field. Sorting requests may be in ascending (e.g., sort=startDate) or descending order (e.g., sort=-length) by prefixing the field name with a MINUS (U+002D) character. If the sort value includes a language, the `language` parameter is also required. Sorting is available over (```name,code,order,lastUpdate```) the primitive attributes of an endpoint's resources.","required":false,"schema":{"type":"string"}},{"name":"fields","in":"query","description":"Selects which fields (i.e., attributes or relationships) should be present in returned resource. To exclude a field, add a  \"-\" before its value. Multiple fields can be passed separated by a comma \",\". If only \"rid\" or \"id\" is passed, pagination size is unlimited by default. (e.g. ```rid,lastUpdate,code,order,name.nl,name.de,name.fr,name.en,name.it,name.cs,name.pl,name.ru```).","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/accommodationTypeIndex"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/v1/accommodations/types/{rid}":{"get":{"operationId":"showAccommodationType","tags":["AccommodationType"],"summary":"Get a single accommodationType","description":"","parameters":[{"name":"rid","in":"path","required":true,"schema":{"type":"string"}},{"name":"fields","in":"query","description":"Selects which fields (i.e., attributes or relationships) should be present in returned resource. To exclude a field, add a  \"-\" before its value. Multiple fields can be passed separated by a comma \",\". If only \"rid\" or \"id\" is passed, pagination size is unlimited by default. (e.g. ```rid,lastUpdate,code,order,name.nl,name.de,name.fr,name.en,name.it,name.cs,name.pl,name.ru```).","required":false,"schema":{"type":"string"}},{"$ref":"#/components/parameters/paraLanguage"}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/accommodationTypeShow"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/v1/accommodations/types/search":{"post":{"operationId":"searchAccommodationType","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"parameters":{"type":"object","properties":{"language":{"type":"string","enum":["cs","de","en","nl","fr","it","pl","ru"],"example":"cs"},"lastUpdate":{"type":"string","format":"date-time","description":"Date and time of last change","example":"1985-12-10T19"},"rids":{"type":"array","items":{"maxLength":32,"minLength":32,"type":"string","example":"36342A76ADF77DC2E41C7C9797658C31"}},"paging":{"type":"object","properties":{"pageNumber":{"type":"integer","format":"int32","example":1},"pageSize":{"type":"integer","format":"int32","example":2}}},"sorting":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","example":["name","code","order","lastUpdate"]},"order":{"type":"string","example":"desc","enum":["asc","desc"]}}}}}},"fields":{"type":"array","items":{"type":"string"},"example":["rid","lastUpdate","code","order","name.nl","name.de","name.fr","name.en","name.it","name.cs","name.pl","name.ru"]}}}}}},"tags":["AccommodationType"],"parameters":[],"summary":"Advanced and json-based endpoint to list, search and filter AccommodationTypes","description":"","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/accommodationTypeSearch"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/v1/accommodations/mealplans":{"get":{"operationId":"indexAccommodationMealPlan","tags":["AccommodationMealPlan"],"summary":"List, search or filter AccommodationMealPlans","description":"","parameters":[{"$ref":"#/components/parameters/paraLanguage"},{"name":"page[size]","in":"query","description":"The number of records per page for the API response. Allows you to control the amount of data returned per page. Default value is 100. Maximum value is 100, unless the 'fields' parameter is passed with only 'rid' field, in this case the page size limit is unlimited.","required":false,"schema":{"type":"integer","minimum":1,"default":100}},{"$ref":"#/components/parameters/paraPage[number]"},{"name":"filter","in":"query","description":"The API's filter parameter enables data filtering. To apply multiple filters, connect them using & e.g ```filter[a]=1&filter[b]=test```. The available filters are: <br>```filter[language]``` Filter by language. Rules:```string, in:cs,de,en,nl,fr,it,pl,ru```<br>```filter[lastUpdate]``` Date filter for last update. Rules:```date_format:Y-m-d\\TH:i:s.v```<br>```filter[rids]``` Filter MealPlan by record Rids. Rules:```multiple, size:32, string```","required":false,"style":"deepObject","explode":true,"allowReserved":true,"schema":{"additionalProperties":false,"type":"object","properties":{"language":{"type":"string","enum":["cs","de","en","nl","fr","it","pl","ru"],"example":"pl"},"lastUpdate":{"type":"string","format":"date-time","description":"Date and time of last change","example":"1947-09-24T06"},"rids":{"maxLength":32,"minLength":32,"type":"string","example":"3BBD017BD1F7DF630A295DEFBA8E3FA8"}}}},{"name":"sort","in":"query","description":"Requests for retrieved resources to be sorted by the value some selected field. Sorting requests may be in ascending (e.g., sort=startDate) or descending order (e.g., sort=-length) by prefixing the field name with a MINUS (U+002D) character. If the sort value includes a language, the `language` parameter is also required. Sorting is available over (```name,code,lastUpdate```) the primitive attributes of an endpoint's resources.","required":false,"schema":{"type":"string"}},{"name":"fields","in":"query","description":"Selects which fields (i.e., attributes or relationships) should be present in returned resource. To exclude a field, add a  \"-\" before its value. Multiple fields can be passed separated by a comma \",\". If only \"rid\" or \"id\" is passed, pagination size is unlimited by default. (e.g. ```rid,lastUpdate,code,additionalInfo,name.cs,name.fr,name.nl,name.pl,name.ru,name.de,name.en,name.it```).","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/accommodationMealPlanIndex"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/v1/accommodations/mealplans/{rid}":{"get":{"operationId":"showAccommodationMealPlan","tags":["AccommodationMealPlan"],"summary":"Get a single accommodationMealPlan","description":"","parameters":[{"name":"rid","in":"path","required":true,"schema":{"type":"string"}},{"name":"fields","in":"query","description":"Selects which fields (i.e., attributes or relationships) should be present in returned resource. To exclude a field, add a  \"-\" before its value. Multiple fields can be passed separated by a comma \",\". If only \"rid\" or \"id\" is passed, pagination size is unlimited by default. (e.g. ```rid,lastUpdate,code,additionalInfo,name.cs,name.fr,name.nl,name.pl,name.ru,name.de,name.en,name.it```).","required":false,"schema":{"type":"string"}},{"$ref":"#/components/parameters/paraLanguage"}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/accommodationMealPlanShow"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/v1/accommodations/mealplans/search":{"post":{"operationId":"searchAccommodationMealPlan","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"parameters":{"type":"object","properties":{"language":{"type":"string","enum":["cs","de","en","nl","fr","it","pl","ru"],"example":"nl"},"lastUpdate":{"type":"string","format":"date-time","description":"Date and time of last change","example":"1955-03-06T08"},"rids":{"type":"array","items":{"maxLength":32,"minLength":32,"type":"string","example":"20FEE70CCDDAFB940FC7690DD07C1705"}},"paging":{"type":"object","properties":{"pageNumber":{"type":"integer","format":"int32","example":1},"pageSize":{"type":"integer","format":"int32","example":2}}},"sorting":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","example":["name","code","lastUpdate"]},"order":{"type":"string","example":"desc","enum":["asc","desc"]}}}}}},"fields":{"type":"array","items":{"type":"string"},"example":["rid","lastUpdate","code","additionalInfo","name.cs","name.fr","name.nl","name.pl","name.ru","name.de","name.en","name.it"]}}}}}},"tags":["AccommodationMealPlan"],"parameters":[],"summary":"Advanced and json-based endpoint to list, search and filter AccommodationMealPlans","description":"","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/accommodationMealPlanSearch"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/v1/accommodations/roomgroups":{"get":{"operationId":"indexAccommodationRoomGroup","tags":["AccommodationRoomGroup"],"summary":"List, search or filter AccommodationRoomGroups","description":"","parameters":[{"$ref":"#/components/parameters/paraLanguage"},{"name":"page[size]","in":"query","description":"The number of records per page for the API response. Allows you to control the amount of data returned per page. Default value is 25. Maximum value is 100, unless the 'fields' parameter is passed with only 'rid' field, in this case the page size limit is unlimited.","required":false,"schema":{"type":"integer","minimum":1,"default":25}},{"$ref":"#/components/parameters/paraPage[number]"},{"name":"filter","in":"query","description":"The API's filter parameter enables data filtering. To apply multiple filters, connect them using & e.g ```filter[a]=1&filter[b]=test```. The available filters are: <br>```filter[rids]``` Filter RoomGroup by record Rids. Rules:```multiple, size:32, string```<br>```filter[resultSet][rid]``` Filter by result set record ID. Rules:```size:32, string```<br>```filter[accommodationRids]```  Rules:```multiple, size:32, string```<br>```filter[onlyActive]``` If set, it returns only active records. Rules:```boolean```<br>```filter[lastUpdate]``` Date filter for last update. Rules:```date_format:Y-m-d\\TH:i:s.v```<br>```filter[searchTerm]``` Search term filter. Rules:```string, max:255```<br>```filter[language]``` Filter by language. Rules:```string, in:cs,de,en,nl,fr,it,pl,ru```","required":false,"style":"deepObject","explode":true,"allowReserved":true,"schema":{"additionalProperties":false,"type":"object","properties":{"rids":{"maxLength":32,"minLength":32,"type":"string","example":"F1AD73700D456E31833D9891921D504A"},"resultSet":{"type":"object","properties":{"rid":{"maxLength":32,"minLength":32,"type":"string","example":"B48BACCDF904D8E7420D6F1576B1D863"}}},"accommodationRids":{"maxLength":32,"minLength":32,"type":"string","example":"023BFA56F86CDD9A560197A7BAA9797F"},"onlyActive":{"type":"integer","format":"int32","enum":[0,1],"minLength":1,"example":0},"lastUpdate":{"type":"string","format":"date-time","description":"Date and time of last change","example":"1957-03-13T05"},"searchTerm":{"type":"string","maximum":255,"example":"Et veritatis."},"language":{"type":"string","enum":["cs","de","en","nl","fr","it","pl","ru"],"example":"fr"}}}},{"name":"sort","in":"query","description":"Requests for retrieved resources to be sorted by the value some selected field. Sorting requests may be in ascending (e.g., sort=startDate) or descending order (e.g., sort=-length) by prefixing the field name with a MINUS (U+002D) character. If the sort value includes a language, the `language` parameter is also required. Sorting is available over (```type,name,code,occupancy.standard,lastUpdate```) the primitive attributes of an endpoint's resources.","required":false,"schema":{"type":"string"}},{"name":"fields","in":"query","description":"Selects which fields (i.e., attributes or relationships) should be present in returned resource. To exclude a field, add a  \"-\" before its value. Multiple fields can be passed separated by a comma \",\". If only \"rid\" or \"id\" is passed, pagination size is unlimited by default. (e.g. ```rid,accommodation.rid,amenities.*.rid,baths,classification,code,minAmountPerPersonPerDay,minAmountPerUnitPerDay,descriptions.*.description.cs,descriptions.*.description.de,descriptions.*.description.en,descriptions.*.description.fr,descriptions.*.description.it,descriptions.*.description.nl,descriptions.*.description.pl,descriptions.*.description.ru,descriptions.*.type,diningRooms,images.*.copyright,images.*.heightPixel,images.*.license,images.*.name.cs,images.*.name.de,images.*.name.en,images.*.name.fr,images.*.name.it,images.*.name.nl,images.*.name.pl,images.*.name.ru,images.*.order,images.*.rid,images.*.url,images.*.widthPixel,isActive,lastUpdate,livingRooms,name.cs,name.de,name.en,name.fr,name.it,name.nl,name.pl,name.ru,occupancy.max,occupancy.min,occupancy.minAdults,occupancy.standard,roomQuantity,rooms.*.availability.isBlocked,rooms.*.availability.lastUpdate,rooms.*.availability.status,rooms.*.availability.statusStartDate,rooms.*.code,rooms.*.lastUpdate,rooms.*.rid,sleepingRooms,squareMeters,toilets,type```).","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/accommodationRoomGroupIndex"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/v1/accommodations/roomgroups/{rid}":{"get":{"operationId":"showAccommodationRoomGroup","tags":["AccommodationRoomGroup"],"summary":"Get a single accommodationRoomGroup","description":"","parameters":[{"name":"rid","in":"path","required":true,"schema":{"type":"string"}},{"name":"filter","in":"query","description":"The API's filter parameter enables data filtering. To apply multiple filters, connect them using & e.g ```filter[a]=1&filter[b]=test```. The available filters are: <br>```filter[accommodation]```  Rules:```multiple, size:32, string```<br>```filter[language]``` Filter by language. Rules:```string, in:cs,de,en,nl,fr,it,pl,ru```","required":false,"style":"deepObject","allowReserved":true,"explode":true,"schema":{"additionalProperties":false,"type":"object","properties":{"accommodation":{"maxLength":32,"minLength":32,"type":"string","example":"530C2D96B2434C3631BFBE974FBDE521"},"language":{"type":"string","enum":["cs","de","en","nl","fr","it","pl","ru"],"example":"it"}}}},{"name":"fields","in":"query","description":"Selects which fields (i.e., attributes or relationships) should be present in returned resource. To exclude a field, add a  \"-\" before its value. Multiple fields can be passed separated by a comma \",\". If only \"rid\" or \"id\" is passed, pagination size is unlimited by default. (e.g. ```rid,accommodation.rid,amenities.*.rid,baths,classification,code,minAmountPerPersonPerDay,minAmountPerUnitPerDay,descriptions.*.description.cs,descriptions.*.description.de,descriptions.*.description.en,descriptions.*.description.fr,descriptions.*.description.it,descriptions.*.description.nl,descriptions.*.description.pl,descriptions.*.description.ru,descriptions.*.type,diningRooms,images.*.copyright,images.*.heightPixel,images.*.license,images.*.name.cs,images.*.name.de,images.*.name.en,images.*.name.fr,images.*.name.it,images.*.name.nl,images.*.name.pl,images.*.name.ru,images.*.order,images.*.rid,images.*.url,images.*.widthPixel,isActive,lastUpdate,livingRooms,name.cs,name.de,name.en,name.fr,name.it,name.nl,name.pl,name.ru,occupancy.max,occupancy.min,occupancy.minAdults,occupancy.standard,roomQuantity,rooms.*.availability.isBlocked,rooms.*.availability.lastUpdate,rooms.*.availability.status,rooms.*.availability.statusStartDate,rooms.*.code,rooms.*.lastUpdate,rooms.*.rid,sleepingRooms,squareMeters,toilets,type```).","required":false,"schema":{"type":"string"}},{"$ref":"#/components/parameters/paraLanguage"}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/accommodationRoomGroupShow"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/v1/accommodations/roomgroups/search":{"post":{"operationId":"searchAccommodationRoomGroup","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"parameters":{"type":"object","properties":{"rids":{"type":"array","items":{"maxLength":32,"minLength":32,"type":"string","example":"6F08EF6ABD98BBB6B9DF1FC594370D1B"}},"resultSet":{"type":"object","properties":{"rid":{"maxLength":32,"minLength":32,"type":"string","example":"068ED3BFC1A814BBA6E462087432F806"}}},"accommodationRids":{"type":"array","items":{"maxLength":32,"minLength":32,"type":"string","example":"DF30639BD14BE06C7661361831C93C20"}},"onlyActive":{"type":"boolean","example":true},"lastUpdate":{"type":"string","format":"date-time","description":"Date and time of last change","example":"1939-06-01T03"},"searchTerm":{"type":"string","maximum":255,"example":"Enim."},"language":{"type":"string","enum":["cs","de","en","nl","fr","it","pl","ru"],"example":"cs"},"paging":{"type":"object","properties":{"pageNumber":{"type":"integer","format":"int32","example":1},"pageSize":{"type":"integer","format":"int32","example":2}}},"sorting":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","example":["type","name","code","occupancy.standard","lastUpdate"]},"order":{"type":"string","example":"desc","enum":["asc","desc"]}}}}}},"fields":{"type":"array","items":{"type":"string"},"example":["rid","accommodation.rid","amenities.*.rid","baths","classification","code","minAmountPerPersonPerDay","minAmountPerUnitPerDay","descriptions.*.description.cs","descriptions.*.description.de","descriptions.*.description.en","descriptions.*.description.fr","descriptions.*.description.it","descriptions.*.description.nl","descriptions.*.description.pl","descriptions.*.description.ru","descriptions.*.type","diningRooms","images.*.copyright","images.*.heightPixel","images.*.license","images.*.name.cs","images.*.name.de","images.*.name.en","images.*.name.fr","images.*.name.it","images.*.name.nl","images.*.name.pl","images.*.name.ru","images.*.order","images.*.rid","images.*.url","images.*.widthPixel","isActive","lastUpdate","livingRooms","name.cs","name.de","name.en","name.fr","name.it","name.nl","name.pl","name.ru","occupancy.max","occupancy.min","occupancy.minAdults","occupancy.standard","roomQuantity","rooms.*.availability.isBlocked","rooms.*.availability.lastUpdate","rooms.*.availability.status","rooms.*.availability.statusStartDate","rooms.*.code","rooms.*.lastUpdate","rooms.*.rid","sleepingRooms","squareMeters","toilets","type"]}}}}}},"tags":["AccommodationRoomGroup"],"parameters":[],"summary":"Advanced and json-based endpoint to list, search and filter AccommodationRoomGroups","description":"","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/accommodationRoomGroupSearch"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/v1/accommodations/rateplans":{"get":{"operationId":"indexAccommodationRatePlan","tags":["AccommodationRatePlan"],"summary":"List, search or filter AccommodationRatePlans","description":"","parameters":[{"$ref":"#/components/parameters/paraLanguage"},{"name":"page[size]","in":"query","description":"The number of records per page for the API response. Allows you to control the amount of data returned per page. Default value is 25. Maximum value is 100, unless the 'fields' parameter is passed with only 'rid' field, in this case the page size limit is unlimited.","required":false,"schema":{"type":"integer","minimum":1,"default":25}},{"$ref":"#/components/parameters/paraPage[number]"},{"name":"filter","in":"query","description":"The API's filter parameter enables data filtering. To apply multiple filters, connect them using & e.g ```filter[a]=1&filter[b]=test```. The available filters are: <br>```filter[rids]``` Filter RatePlan by record Rids. Rules:```multiple, size:32, string```<br>```filter[resultSet][rid]``` Filter by result set record ID. Rules:```size:32, string```<br>```filter[accommodationRids]```  Rules:```multiple, size:32, string```<br>```filter[onlyActive]``` If set, it returns only active records. Rules:```boolean```<br>```filter[onlyBookable]```  Rules:```boolean```<br>```filter[lastUpdate]``` Date filter for last update. Rules:```date_format:Y-m-d\\TH:i:s.v```<br>```filter[searchTerm]``` Search term filter. Rules:```string, max:255```<br>```filter[language]``` Filter by language. Rules:```string, in:cs,de,en,nl,fr,it,pl,ru```","required":false,"style":"deepObject","explode":true,"allowReserved":true,"schema":{"additionalProperties":false,"type":"object","properties":{"rids":{"maxLength":32,"minLength":32,"type":"string","example":"0E73B2C93260EF8A1B54BC14956341C0"},"resultSet":{"type":"object","properties":{"rid":{"maxLength":32,"minLength":32,"type":"string","example":"3328715FCE40B01460B87995EC0632DA"}}},"accommodationRids":{"maxLength":32,"minLength":32,"type":"string","example":"6D10264AFE4621C6A4E23368CBAFDE44"},"onlyActive":{"type":"integer","format":"int32","enum":[0,1],"minLength":1,"example":1},"onlyBookable":{"type":"integer","format":"int32","enum":[0,1],"minLength":1,"example":0},"lastUpdate":{"type":"string","format":"date-time","description":"Date and time of last ratePlan change","example":"1965-11-04T17"},"searchTerm":{"type":"string","maximum":255,"example":"Alias fuga qui."},"language":{"type":"string","enum":["cs","de","en","nl","fr","it","pl","ru"],"example":"fr"}}}},{"name":"sort","in":"query","description":"Requests for retrieved resources to be sorted by the value some selected field. Sorting requests may be in ascending (e.g., sort=startDate) or descending order (e.g., sort=-length) by prefixing the field name with a MINUS (U+002D) character. If the sort value includes a language, the `language` parameter is also required. Sorting is available over (```rid,name```) the primitive attributes of an endpoint's resources.","required":false,"schema":{"type":"string"}},{"name":"fields","in":"query","description":"Selects which fields (i.e., attributes or relationships) should be present in returned resource. To exclude a field, add a  \"-\" before its value. Multiple fields can be passed separated by a comma \",\". If only \"rid\" or \"id\" is passed, pagination size is unlimited by default. (e.g. ```alpineBitsRatePlanId,areChildrenAllowed,chargeType,code,descriptions.*.description.cs,descriptions.*.description.de,descriptions.*.description.en,descriptions.*.description.fr,descriptions.*.description.it,descriptions.*.description.nl,descriptions.*.description.pl,descriptions.*.description.ru,descriptions.*.type,isRateSpecialOffer,lastUpdate,name.cs,name.de,name.en,name.fr,name.it,name.nl,name.pl,name.ru,rid```).","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/accommodationRatePlanIndex"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/v1/accommodations/rateplans/{rid}":{"get":{"operationId":"showAccommodationRatePlan","tags":["AccommodationRatePlan"],"summary":"Get a single accommodationRatePlan","description":"","parameters":[{"name":"rid","in":"path","required":true,"schema":{"type":"string"}},{"name":"fields","in":"query","description":"Selects which fields (i.e., attributes or relationships) should be present in returned resource. To exclude a field, add a  \"-\" before its value. Multiple fields can be passed separated by a comma \",\". If only \"rid\" or \"id\" is passed, pagination size is unlimited by default. (e.g. ```alpineBitsRatePlanId,areChildrenAllowed,chargeType,code,descriptions.*.description.cs,descriptions.*.description.de,descriptions.*.description.en,descriptions.*.description.fr,descriptions.*.description.it,descriptions.*.description.nl,descriptions.*.description.pl,descriptions.*.description.ru,descriptions.*.type,isRateSpecialOffer,lastUpdate,name.cs,name.de,name.en,name.fr,name.it,name.nl,name.pl,name.ru,rid```).","required":false,"schema":{"type":"string"}},{"$ref":"#/components/parameters/paraLanguage"}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/accommodationRatePlanShow"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/v1/accommodations/rateplans/search":{"post":{"operationId":"searchAccommodationRatePlan","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"parameters":{"type":"object","properties":{"rids":{"type":"array","items":{"maxLength":32,"minLength":32,"type":"string","example":"BAF3648E31AA2610090597E86BA76A23"}},"resultSet":{"type":"object","properties":{"rid":{"maxLength":32,"minLength":32,"type":"string","example":"492B4B7843E1B4426AF4E07561E825E2"}}},"accommodationRids":{"type":"array","items":{"maxLength":32,"minLength":32,"type":"string","example":"0DDADB3CBF35AD688866151D4399F7A9"}},"onlyActive":{"type":"boolean","example":false},"onlyBookable":{"type":"boolean","example":false},"lastUpdate":{"type":"string","format":"date-time","description":"Date and time of last ratePlan change","example":"1995-02-22T12"},"searchTerm":{"type":"string","maximum":255,"example":"Molestiae."},"language":{"type":"string","enum":["cs","de","en","nl","fr","it","pl","ru"],"example":"cs"},"paging":{"type":"object","properties":{"pageNumber":{"type":"integer","format":"int32","example":1},"pageSize":{"type":"integer","format":"int32","example":2}}},"sorting":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","example":["rid","name"]},"order":{"type":"string","example":"desc","enum":["asc","desc"]}}}}}},"fields":{"type":"array","items":{"type":"string"},"example":["alpineBitsRatePlanId","areChildrenAllowed","chargeType","code","descriptions.*.description.cs","descriptions.*.description.de","descriptions.*.description.en","descriptions.*.description.fr","descriptions.*.description.it","descriptions.*.description.nl","descriptions.*.description.pl","descriptions.*.description.ru","descriptions.*.type","isRateSpecialOffer","lastUpdate","name.cs","name.de","name.en","name.fr","name.it","name.nl","name.pl","name.ru","rid"]}}}}}},"tags":["AccommodationRatePlan"],"parameters":[],"summary":"Advanced and json-based endpoint to list, search and filter AccommodationRatePlans","description":"","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/accommodationRatePlanSearch"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/v1/accommodations/deleted":{"get":{"operationId":"indexAccommodationDeleted","tags":["AccommodationDeleted"],"summary":"List, search or filter AccommodationDeleted","description":"","parameters":[{"name":"page[size]","in":"query","description":"The number of records per page for the API response. Allows you to control the amount of data returned per page. Default value is 100. Maximum value is 100, unless the 'fields' parameter is passed with only 'rid' field, in this case the page size limit is unlimited.","required":false,"schema":{"type":"integer","minimum":1,"default":100}},{"$ref":"#/components/parameters/paraPage[number]"},{"name":"filter","in":"query","description":"The API's filter parameter enables data filtering. To apply multiple filters, connect them using & e.g ```filter[a]=1&filter[b]=test```. The available filters are: <br>```filter[rids]``` Filter Deleted by record Rids. Rules:```multiple, size:32, string```<br>```filter[lastUpdate]``` Date filter for last update. Rules:```date_format:Y-m-d\\TH:i:s.v```","required":false,"style":"deepObject","explode":true,"allowReserved":true,"schema":{"additionalProperties":false,"type":"object","properties":{"rids":{"maxLength":32,"minLength":32,"type":"string","example":"EBF2B828645F63D9F08E89F8797C07D4"},"lastUpdate":{"type":"string","format":"date-time","example":"1961-11-07T01"}}}},{"name":"fields","in":"query","description":"Selects which fields (i.e., attributes or relationships) should be present in returned resource. To exclude a field, add a  \"-\" before its value. Multiple fields can be passed separated by a comma \",\". If only \"rid\" or \"id\" is passed, pagination size is unlimited by default. (e.g. ```rid```).","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/accommodationDeletedIndex"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/v1/accommodations/deleted/search":{"post":{"operationId":"searchAccommodationDeleted","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"parameters":{"type":"object","properties":{"rids":{"type":"array","items":{"maxLength":32,"minLength":32,"type":"string","example":"D285A89D8ED7A8EFB372E09BC0B248A1"}},"lastUpdate":{"type":"string","format":"date-time","example":"1997-03-31T16"},"paging":{"type":"object","properties":{"pageNumber":{"type":"integer","format":"int32","example":1},"pageSize":{"type":"integer","format":"int32","example":2}}}}},"fields":{"type":"array","items":{"type":"string"},"example":["rid"]}}}}}},"tags":["AccommodationDeleted"],"parameters":[],"summary":"Advanced and json-based endpoint to list, search and filter AccommodationDeleted","description":"","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/accommodationDeletedSearch"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/v1/accommodations/availabilities":{"get":{"operationId":"indexAccommodationAvailability","tags":["AccommodationAvailability"],"summary":"List, search or filter AccommodationAvailabilities","description":"","parameters":[{"$ref":"#/components/parameters/paraLanguage"},{"name":"page[size]","in":"query","description":"The number of records per page for the API response. Allows you to control the amount of data returned per page. Default value is 100. Maximum value is 100, unless the 'fields' parameter is passed with only 'rid' field, in this case the page size limit is unlimited.","required":false,"schema":{"type":"integer","minimum":1,"default":100}},{"$ref":"#/components/parameters/paraPage[number]"},{"name":"filter","in":"query","description":"The API's filter parameter enables data filtering. To apply multiple filters, connect them using & e.g ```filter[a]=1&filter[b]=test```. The available filters are: <br>```filter[resultSet][rid]``` Filter by result set record ID. Rules:```size:32, string```<br>```filter[resultSet][minAmount]```  Rules:```decimal:0,2```<br>```filter[resultSet][maxAmount]```  Rules:```decimal:0,2```<br>```filter[resultSet][filterAndSummaryGroups][0][id]``` ID filter for result set filters and summary groups. Rules:```integer```<br>```filter[resultSet][filterAndSummaryGroups][0][type]``` Type filter for result set filters and summary groups. Rules:```string, max:30, in:amenity,roomGroupAmenity,category,type```<br>```filter[resultSet][filterAndSummaryGroups][0][filters][0][id]``` ID filter for result set filters. Rules:```integer```<br>```filter[resultSet][filterAndSummaryGroups][0][filters][0][isSelected]``` Selected filter for result set filters. Rules:```boolean```<br>```filter[resultSet][filterAndSummaryGroups][0][filters][0][rids]``` Filter by result set filter record IDs. Rules:```size:32, multiple, string```<br>```filter[resultSet][filterAndSummaryGroups][0][filters][0][types]```  Rules:```array```<br>```filter[resultSet][filterAndSummaryGroups][0][filters][0][types][0][rid]```  Rules:```size:32, string```<br>```filter[resultSet][filterAndSummaryGroups][0][filters][0][types][0][hasApartments]``` If true, only accommodations with apartments are considerated. Rules:```boolean```<br>```filter[resultSet][filterAndSummaryGroups][0][filters][0][types][0][hasRooms]``` If true, only accommodations with rooms are considerated. Rules:```boolean```<br>```filter[searchTerm]``` Search term filter. Rules:```string, max:255, min:3```<br>```filter[cacheLifeTimeInSeconds]```  Rules:```integer```<br>```filter[promoteBookable]```  Rules:```boolean```<br>```filter[onlyBookable]```  Rules:```boolean```<br>```filter[onlySuedtirolInfoActive]```  Rules:```boolean```<br>```filter[language]``` Filter by language. Rules:```string, in:cs,de,en,nl,fr,it,pl,ru, required_with:searchTerm```<br>```filter[minAltitude]```  Rules:```integer```<br>```filter[maxAltitude]```  Rules:```integer```<br>```filter[districtRids]```  Rules:```multiple, size:32, string```<br>```filter[tourismOrganizationRids]```  Rules:```multiple, size:32, string```<br>```filter[marketingGroupRids]```  Rules:```multiple, size:32, string```<br>```filter[accommodationRids]```  Rules:```multiple, size:32, string```<br>```filter[addressGroupRids]```  Rules:```multiple, size:32, string```<br>```filter[addressGroupCodes]```  Rules:```multiple, max:32, string```<br>```filter[categoryRids]```  Rules:```multiple, size:32, string```<br>```filter[holidayPackageRids]```  Rules:```multiple, size:32, string```<br>```filter[ratePlanRids]```  Rules:```multiple, size:32, string```<br>```filter[ratePlanSearchTerm]```  Rules:```string, max:255```<br>```filter[isRatePlanSpecialOffer]```  Rules:```integer, in:1,2```<br>```filter[startDate]```  Rules:```date_format:Y-m-d, required_with:ratePlanSearchTerm```<br>```filter[endDate]```  Rules:```date_format:Y-m-d```<br>```filter[checkAvailabilityStatus]```  Rules:```boolean```<br>```filter[representationMode]```  Rules:```string, in:minimal,full```<br>```filter[minAmount]```  Rules:```decimal:0,2```<br>```filter[maxAmount]```  Rules:```decimal:0,2```<br>```filter[mealPlanCodes]```  Rules:```multiple, in:1,3,10,12,14, integer```<br>```filter[types][0][rid]```  Rules:```size:32, string```<br>```filter[types][0][hasRooms]```  Rules:```boolean```<br>```filter[types][0][hasApartments]```  Rules:```boolean```<br>```filter[accommodationAmenities][0][rids]```  Rules:```multiple, size:32, string```<br>```filter[accommodationAmenities][0][id]```  Rules:```integer```<br>```filter[roomGroupAmenities][0][rids]```  Rules:```multiple, size:32, string```<br>```filter[roomGroupAmenities][0][id]```  Rules:```integer```<br>```filter[roomOptions][0][id]```  Rules:```integer, required_with:roomOptions```<br>```filter[roomOptions][0][typeBitmask]```  Rules:```multiple, integer```<br>```filter[roomOptions][0][guests]```  Rules:```integer, required_with:roomOptions```<br>```filter[roomOptions][0][guestAges]```  Rules:```multiple, integer, required_with:roomOptions,roomOptions.*.guests```<br>```filter[roomOptions][0][minArea]```  Rules:```integer```<br>```filter[roomOptions][0][bedrooms]```  Rules:```integer```","required":false,"style":"deepObject","explode":true,"allowReserved":true,"schema":{"additionalProperties":false,"type":"object","properties":{"resultSet":{"type":"object","properties":{"rid":{"maxLength":32,"minLength":32,"type":"string","description":"result set rid","example":"506CD4C84CE91E080F48F355DA09465F"},"minAmount":{"type":"number","format":"double","multipleOf":10,"description":"filter resultSet by amount max","example":23973815},"maxAmount":{"type":"number","format":"double","multipleOf":10,"description":"filter resultSet by amount max","example":256586},"filterAndSummaryGroups":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","format":"int32","description":"filter group id, must be unique","example":23},"type":{"type":"string","maximum":30,"enum":["amenity","roomGroupAmenity","category","type"],"description":"filter type of filterAndSummaryGroup (see enum for list of allowed types)","example":"Qui."},"filters":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","format":"int32","description":" single filter id","example":40},"isSelected":{"type":"integer","format":"int32","enum":[0,1],"minLength":1,"description":"if true, the filter has been applied","example":0},"rids":{"maxLength":32,"minLength":32,"type":"string","description":"rids used to filter out the result set, use this for all types except filterAndSummaryGroups.*.type='type'","example":"EAECB2D6AAADBBD30610755899B2F859"},"types":{"type":"array","items":{"type":"object","properties":{"rid":{"maxLength":32,"minLength":32,"type":"string","example":"36F60F0B517FB4664D1C69BCD991BFAD"},"hasApartments":{"type":"integer","format":"int32","enum":[0,1],"minLength":1,"example":0},"hasRooms":{"type":"integer","format":"int32","enum":[0,1],"minLength":1,"example":1}}}}}}}}}}}},"searchTerm":{"type":"string","maximum":255,"minimum":3,"example":"Cumque."},"cacheLifeTimeInSeconds":{"type":"integer","format":"int32","example":1},"promoteBookable":{"type":"integer","format":"int32","enum":[0,1],"minLength":1,"example":1},"onlyBookable":{"type":"integer","format":"int32","enum":[0,1],"minLength":1,"example":1},"onlySuedtirolInfoActive":{"type":"integer","format":"int32","enum":[0,1],"minLength":1,"example":0},"language":{"type":"string","enum":["cs","de","en","nl","fr","it","pl","ru"],"example":"fr"},"minAltitude":{"type":"integer","format":"int32","example":18},"maxAltitude":{"type":"integer","format":"int32","example":44},"districtRids":{"maxLength":32,"minLength":32,"type":"string","example":"2E667086B5396EEA052B4DFDA04BAADC"},"tourismOrganizationRids":{"maxLength":32,"minLength":32,"type":"string","example":"C1F18FE888996BFCDDC2650C2C7B2430"},"marketingGroupRids":{"maxLength":32,"minLength":32,"type":"string","example":"6D65E92A99912BAA259535EFE5EB5DE2"},"accommodationRids":{"maxLength":32,"minLength":32,"type":"string","example":"4A276CF4928C8A9FBFF37C06FC95452C"},"addressGroupRids":{"maxLength":32,"minLength":32,"type":"string","example":"C78945B40B341D7439F250D2E44CE850"},"addressGroupCodes":{"maximum":32,"type":"string","example":"Fuga et."},"categoryRids":{"maxLength":32,"minLength":32,"type":"string","example":"99F3FD51BEFECBC20B07B46450C423E5"},"holidayPackageRids":{"maxLength":32,"minLength":32,"type":"string","example":"A8D30DFDAF0BCAA32553BE0DC80274DA"},"ratePlanRids":{"maxLength":32,"minLength":32,"type":"string","example":"EA711651ACF41C633B23227C023F535D"},"ratePlanSearchTerm":{"type":"string","maximum":255,"example":"Eius et."},"isRatePlanSpecialOffer":{"type":"integer","format":"int32","enum":[1,2],"example":"1"},"startDate":{"type":"string","format":"date-time","example":"1964-02-18"},"endDate":{"type":"string","format":"date-time","example":"1939-11-30"},"checkAvailabilityStatus":{"type":"integer","format":"int32","enum":[0,1],"minLength":1,"example":0},"representationMode":{"type":"string","enum":["minimal","full"],"example":"minimal"},"minAmount":{"type":"number","format":"double","multipleOf":10,"description":"minimum amount for accommodation, price starting from","example":32038},"maxAmount":{"type":"number","format":"double","multipleOf":10,"example":2788691},"mealPlanCodes":{"enum":[1,3,10,12,14],"type":"integer","format":"int32","example":"3"},"types":{"type":"array","items":{"type":"object","properties":{"rid":{"maxLength":32,"minLength":32,"type":"string","example":"045238646B5240079A98DD70623682DD"},"hasRooms":{"type":"integer","format":"int32","enum":[0,1],"minLength":1,"example":1},"hasApartments":{"type":"integer","format":"int32","enum":[0,1],"minLength":1,"example":0}}}},"accommodationAmenities":{"type":"array","items":{"type":"object","properties":{"rids":{"maxLength":32,"minLength":32,"type":"string","example":"ED3D6BCDAF21E4D8A22CB1D17D6D8DDA"},"id":{"type":"integer","format":"int32","example":71}}}},"roomGroupAmenities":{"type":"array","items":{"type":"object","properties":{"rids":{"maxLength":32,"minLength":32,"type":"string","example":"4AF5AD2C079DF0F330AD120ED7EAF9AA"},"id":{"type":"integer","format":"int32","example":27}}}},"roomOptions":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","format":"int32","example":11},"typeBitmask":{"type":"integer","format":"int32","example":3},"guests":{"type":"integer","format":"int32","example":74},"guestAges":{"type":"integer","format":"int32","example":40},"minArea":{"type":"integer","format":"int32","example":55},"bedrooms":{"type":"integer","format":"int32","example":45}}}}}}},{"name":"sort","in":"query","description":"Requests for retrieved resources to be sorted by the value some selected field. Sorting requests may be in ascending (e.g., sort=startDate) or descending order (e.g., sort=-length) by prefixing the field name with a MINUS (U+002D) character. If the sort value includes a language, the `language` parameter is also required. Sorting is available over (```rating,price,category,random```) the primitive attributes of an endpoint's resources.","required":false,"schema":{"type":"string"}},{"name":"fields","in":"query","description":"Selects which fields (i.e., attributes or relationships) should be present in returned resource. To exclude a field, add a  \"-\" before its value. Multiple fields can be passed separated by a comma \",\". If only \"rid\" or \"id\" is passed, pagination size is unlimited by default. (e.g. ```accommodation.rid,minAmount,roomOptions.*.roomGroup.rid,roomOptions.*.availableRooms,roomOptions.*.bookableRooms,roomOptions.*.rates.*.roomOptionId,roomOptions.*.rates.*.isBookable,roomOptions.*.rates.*.isSpecialOffer,roomOptions.*.rates.*.ratePlan.rid,roomOptions.*.rates.*.allInclusiveAmount,roomOptions.*.rates.*.bedAndBreakfastAmount,roomOptions.*.rates.*.fullBoardAmount,roomOptions.*.rates.*.halfBoardAmount,roomOptions.*.rates.*.roomOnlyAmount,resultSet.rid,resultSet.minAmount,resultSet.maxAmount,resultSet.lowestMinAmount,resultSet.highestMaxAmount,resultSet.filterAndSummaryGroups.*.id,resultSet.filterAndSummaryGroups.*.type,resultSet.filterAndSummaryGroups.*.filters.*.id,resultSet.filterAndSummaryGroups.*.filters.*.isSelected,resultSet.filterAndSummaryGroups.*.filters.*.quantity,resultSet.filterAndSummaryGroups.*.filters.*.rids,resultSet.filterAndSummaryGroups.*.filters.*.types.*.rid,resultSet.filterAndSummaryGroups.*.filters.*.types.*.hasApartments,resultSet.filterAndSummaryGroups.*.filters.*.types.*.hasRooms```).","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/accommodationAvailabilityIndex"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/v1/accommodations/availabilities/search":{"post":{"operationId":"searchAccommodationAvailability","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"parameters":{"type":"object","properties":{"resultSet":{"type":"object","properties":{"rid":{"maxLength":32,"minLength":32,"type":"string","description":"result set rid","example":"132C0A7B20DC2EFD7C903967D3845C69"},"minAmount":{"type":"number","format":"double","multipleOf":10,"description":"filter resultSet by amount max","example":1183},"maxAmount":{"type":"number","format":"double","multipleOf":10,"description":"filter resultSet by amount max","example":1759335},"filterAndSummaryGroups":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","format":"int32","description":"filter group id, must be unique","example":17},"type":{"type":"string","maximum":30,"enum":["amenity","roomGroupAmenity","category","type"],"description":"filter type of filterAndSummaryGroup (see enum for list of allowed types)","example":"Ullam."},"filters":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","format":"int32","description":" single filter id","example":28},"isSelected":{"type":"boolean","description":"if true, the filter has been applied","example":true},"rids":{"type":"array","items":{"maxLength":32,"minLength":32,"type":"string","description":"rids used to filter out the result set, use this for all types except filterAndSummaryGroups.*.type='type'","example":"EABCD3BDE5A52F53CE7C306862665D4D"}},"types":{"type":"array","items":{"type":"object","properties":{"rid":{"maxLength":32,"minLength":32,"type":"string","example":"971A547BFE7C140F90C813922042296D"},"hasApartments":{"type":"boolean","example":true},"hasRooms":{"type":"boolean","example":false}}}}}}}}}}}},"searchTerm":{"type":"string","maximum":255,"minimum":3,"example":"Aliquam."},"cacheLifeTimeInSeconds":{"type":"integer","format":"int32","example":60},"promoteBookable":{"type":"boolean","example":true},"onlyBookable":{"type":"boolean","example":false},"onlySuedtirolInfoActive":{"type":"boolean","example":false},"language":{"type":"string","enum":["cs","de","en","nl","fr","it","pl","ru"],"example":"it"},"minAltitude":{"type":"integer","format":"int32","example":29},"maxAltitude":{"type":"integer","format":"int32","example":65},"districtRids":{"type":"array","items":{"maxLength":32,"minLength":32,"type":"string","example":"0AA703A95D60D93625647F5DBE1B65B0"}},"tourismOrganizationRids":{"type":"array","items":{"maxLength":32,"minLength":32,"type":"string","example":"27CBEB96A8362338BD14E765003661E2"}},"marketingGroupRids":{"type":"array","items":{"maxLength":32,"minLength":32,"type":"string","example":"8D0C6F39406D6CE4B5FB53162F6712F0"}},"accommodationRids":{"type":"array","items":{"maxLength":32,"minLength":32,"type":"string","example":"9B0E9C994F23D5FF2E4D4EE0A308EDE0"}},"addressGroupRids":{"type":"array","items":{"maxLength":32,"minLength":32,"type":"string","example":"CB9D2322B24F7FBD7FB6B8AA175341AB"}},"addressGroupCodes":{"type":"array","items":{"maximum":32,"type":"string","example":"Ad."}},"categoryRids":{"type":"array","items":{"maxLength":32,"minLength":32,"type":"string","example":"983B7B1AE4D43515D515DB34E23B0443"}},"holidayPackageRids":{"type":"array","items":{"maxLength":32,"minLength":32,"type":"string","example":"31C9EA29EE2728B4BDCE2ADA0DD367B4"}},"ratePlanRids":{"type":"array","items":{"maxLength":32,"minLength":32,"type":"string","example":"E26D73260C2D25DF9D5005DDE200B2E8"}},"ratePlanSearchTerm":{"type":"string","maximum":255,"example":"Amet a."},"isRatePlanSpecialOffer":{"type":"integer","format":"int32","enum":[1,2],"example":"1"},"startDate":{"type":"string","format":"date-time","example":"1941-03-27"},"endDate":{"type":"string","format":"date-time","example":"1948-05-26"},"checkAvailabilityStatus":{"type":"boolean","example":true},"representationMode":{"type":"string","enum":["minimal","full"],"example":"minimal"},"minAmount":{"type":"number","format":"double","multipleOf":10,"description":"minimum amount for accommodation, price starting from","example":0},"maxAmount":{"type":"number","format":"double","multipleOf":10,"example":16322669},"mealPlanCodes":{"type":"array","items":{"enum":[1,3,10,12,14],"type":"integer","format":"int32","example":"12"}},"types":{"type":"array","items":{"type":"object","properties":{"rid":{"maxLength":32,"minLength":32,"type":"string","example":"E8F9C73173EAD3D5BD688EDB6211AADE"},"hasRooms":{"type":"boolean","example":true},"hasApartments":{"type":"boolean","example":false}}}},"accommodationAmenities":{"type":"array","items":{"type":"object","properties":{"rids":{"type":"array","items":{"maxLength":32,"minLength":32,"type":"string","example":"AD370DFE29EE707EE7433B8A58724E1B"}},"id":{"type":"integer","format":"int32","example":68}}}},"roomGroupAmenities":{"type":"array","items":{"type":"object","properties":{"rids":{"type":"array","items":{"maxLength":32,"minLength":32,"type":"string","example":"B6C5D3A8EE498DE4D414EB950C48365D"}},"id":{"type":"integer","format":"int32","example":86}}}},"roomOptions":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","format":"int32","example":70},"typeBitmask":{"type":"array","items":{"type":"integer","format":"int32","example":19}},"guests":{"type":"integer","format":"int32","example":95},"guestAges":{"type":"array","items":{"type":"integer","format":"int32","example":21}},"minArea":{"type":"integer","format":"int32","example":47},"bedrooms":{"type":"integer","format":"int32","example":14}}}},"paging":{"type":"object","properties":{"pageNumber":{"type":"integer","format":"int32","example":1},"pageSize":{"type":"integer","format":"int32","example":2}}},"sorting":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","example":["rating","price","category","random"]},"order":{"type":"string","example":"desc","enum":["asc","desc"]}}}}}},"fields":{"type":"array","items":{"type":"string"},"example":["accommodation.rid","minAmount","roomOptions.*.roomGroup.rid","roomOptions.*.availableRooms","roomOptions.*.bookableRooms","roomOptions.*.rates.*.roomOptionId","roomOptions.*.rates.*.isBookable","roomOptions.*.rates.*.isSpecialOffer","roomOptions.*.rates.*.ratePlan.rid","roomOptions.*.rates.*.allInclusiveAmount","roomOptions.*.rates.*.bedAndBreakfastAmount","roomOptions.*.rates.*.fullBoardAmount","roomOptions.*.rates.*.halfBoardAmount","roomOptions.*.rates.*.roomOnlyAmount","resultSet.rid","resultSet.minAmount","resultSet.maxAmount","resultSet.lowestMinAmount","resultSet.highestMaxAmount","resultSet.filterAndSummaryGroups.*.id","resultSet.filterAndSummaryGroups.*.type","resultSet.filterAndSummaryGroups.*.filters.*.id","resultSet.filterAndSummaryGroups.*.filters.*.isSelected","resultSet.filterAndSummaryGroups.*.filters.*.quantity","resultSet.filterAndSummaryGroups.*.filters.*.rids","resultSet.filterAndSummaryGroups.*.filters.*.types.*.rid","resultSet.filterAndSummaryGroups.*.filters.*.types.*.hasApartments","resultSet.filterAndSummaryGroups.*.filters.*.types.*.hasRooms"]}}}}}},"tags":["AccommodationAvailability"],"parameters":[],"summary":"Advanced and json-based endpoint to list, search and filter AccommodationAvailabilities","description":"","responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/accommodationAvailabilitySearch"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/v1/accommodations/guestrequests/delivery":{"post":{"operationId":"deliveryStoreAccommodationGuestRequestDelivery","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/accommodationGuestRequestDeliveryDeliveryStoreBody"}}}},"tags":["AccommodationGuestRequestDelivery"],"summary":"Create new AccommodationGuestRequestDelivery","description":"Use this endpoint to send accommodation requests or bookings, so-called \u201cGuestRequests\u201d, to accommodations without much effort. Our systems take care of this and automatically send emails and also automatically deliver the data to connected PMS systems of the establishment.\n","parameters":[],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/accommodationGuestRequestDeliveryDeliveryStore"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/v1/accommodations":{"get":{"operationId":"indexAccommodation","tags":["Accommodation"],"summary":"List, search or filter Accommodations","description":"### Fields Note\nIf the provided fields match any of the keys in the array, paging will be unlimited. The following keys are accepted for unlimited paging:\n\n`rid, id, isTourismOrganizationMember, type.rid, category.rid, representationMode, position.type, position.coordinates.0, position.coordinates.1, position.altitude, contacts.*.type, contacts.*.phone, contacts.*.mobile, contacts.*.fax, contacts.*.firstName, contacts.*.lastName, contacts.*.website, contacts.*.email, contacts.*.address.name.de, contacts.*.address.name.en, contacts.*.address.name.it, contacts.*.address.name2.de, contacts.*.address.name2.en, contacts.*.address.name2.it, contacts.*.address.street.de, contacts.*.address.street.en, contacts.*.address.street.it, contacts.*.address.city.de, contacts.*.address.city.en, contacts.*.address.city.it, contacts.*.address.postalCode, contacts.*.address.country, images.*.rid, images.*.url, images.*.applicableStartDate, images.*.applicableEndDate, images.*.widthPixel, images.*.heightPixel, images.*.copyright, images.*.license, tourismOrganization.rid, contacts.*.address.name.fr, contacts.*.address.name2.fr, contacts.*.address.street.fr, contacts.*.address.city.fr, contacts.*.address.name.nl, contacts.*.address.name2.nl, contacts.*.address.street.nl, contacts.*.address.city.nl, contacts.*.address.name2`\n","parameters":[{"$ref":"#/components/parameters/paraLanguage"},{"name":"page[size]","in":"query","description":"The number of records per page for the API response. Allows you to control the amount of data returned per page. Default value is 10. Maximum value is 100, unless the 'fields' parameter is passed with only 'rid' field, in this case the page size limit is unlimited.","required":false,"schema":{"type":"integer","minimum":1,"default":10}},{"$ref":"#/components/parameters/paraPage[number]"},{"name":"filter","in":"query","description":"The API's filter parameter enables data filtering. To apply multiple filters, connect them using & e.g ```filter[a]=1&filter[b]=test```. The available filters are: <br>```filter[rids]``` Filter Accommodation by record Rids. Rules:```multiple, size:32, string```<br>```filter[onlyActive]``` If set to true, it returns only active records. Rules:```boolean```<br>```filter[tourismOrganizationRids]```  Rules:```string, size:32, required_without:marketingGroupRids, multiple```<br>```filter[marketingGroupRids]```  Rules:```string, size:32, required_without:tourismOrganizationRids, multiple```<br>```filter[municipalityIstatIds]``` If set, it returns only accommodation located in the municipalities provided by istatId. Rules:```string, max:10, multiple```<br>```filter[lastUpdate]``` Date filter for last update. Rules:```string, date_format:Y-m-d\\TH:i:s.v```<br>```filter[cinCode]```  Rules:```string, max:20```<br>```filter[language]``` Filter by language. Rules:```string, in:cs,de,en,nl,fr,it,pl,ru```<br>```filter[resultSet][rid]``` Filter by result set record ID. Rules:```size:32, string```<br>```filter[resultSet][filterAndSummaryGroups][0][id]``` ID filter for result set filters and summary groups. Rules:```integer```<br>```filter[resultSet][filterAndSummaryGroups][0][type]``` Type filter for result set filters and summary groups. Rules:```string, max:30, in:amenity,roomGroupAmenity,category,type```<br>```filter[resultSet][filterAndSummaryGroups][0][filters][0][id]``` ID filter for result set filters. Rules:```integer```<br>```filter[resultSet][filterAndSummaryGroups][0][filters][0][isSelected]``` Selected filter for result set filters. Rules:```boolean```<br>```filter[resultSet][filterAndSummaryGroups][0][filters][0][rids]``` Filter by result set filter record IDs. Rules:```size:32, multiple, string```<br>```filter[onlySuedtirolInfoActive]``` If set to true, it returns only suedtirolInfo active  records. Rules:```boolean```<br>```filter[districtRids]```  Rules:```multiple, size:32, string```<br>```filter[minAltitude]```  Rules:```integer```<br>```filter[maxAltitude]```  Rules:```integer```<br>```filter[representationMode]```  Rules:```string, in:minimal,full,none```<br>```filter[mealPlanRids]```  Rules:```multiple, size:32, string```<br>```filter[amenityRids]```  Rules:```multiple, size:32, string```<br>```filter[roomGroup][amenityRids]```  Rules:```multiple, size:32, string```<br>```filter[typeRids]```  Rules:```multiple, size:32, string```<br>```filter[hasRooms]```  Rules:```boolean```<br>```filter[hasApartments]```  Rules:```boolean```<br>```filter[categoryRids]```  Rules:```multiple, size:32, string```<br>```filter[holidayPackageRids]```  Rules:```multiple, size:32, string```<br>```filter[addressGroupRids]```  Rules:```multiple, size:32, string```<br>```filter[addressGroupCodes]```  Rules:```multiple, size:10, string```<br>```filter[onlyBookable]``` If set to true, it returns only bookable active records. Rules:```boolean```<br>```filter[onlyActiveGaleries]``` If set to true, it returns only active records. Rules:```boolean```<br>```filter[contactType]```  Rules:```string, in:main,invoicing,private```<br>```filter[onlyHgvActive]``` If set to true, it returns only HGV active records. Rules:```boolean```<br>```filter[onlyAstatActive]``` If set to true, it returns only astat active records. Rules:```boolean```<br>```filter[suedtirolGuestPassCardTypesRids]``` SGP rid filter for results. Rules:```string, size:32, multiple```<br>```filter[searchTerm]``` Search term filter. Rules:```string, max:255```","required":false,"style":"deepObject","explode":true,"allowReserved":true,"schema":{"additionalProperties":false,"type":"object","properties":{"rids":{"maxLength":32,"minLength":32,"type":"string","example":"3B3B56FAE86F3FE2F5D4B7281502551C"},"onlyActive":{"type":"integer","format":"int32","enum":[0,1],"minLength":1,"example":1},"tourismOrganizationRids":{"type":"string","maxLength":32,"minLength":32,"example":"7B6EB0D4849376A009B8B5072F13DD0C"},"marketingGroupRids":{"type":"string","maxLength":32,"minLength":32,"example":"D38F0DAE7612734964CD46E4F1AFDC94"},"municipalityIstatIds":{"type":"string","maximum":10,"example":"In."},"lastUpdate":{"type":"string","format":"date-time","description":"Date and time of last change","example":"1925-07-24T09"},"cinCode":{"type":"string","maximum":20,"description":"CIN Code of Accommodation","example":"Sed maiores."},"language":{"type":"string","enum":["cs","de","en","nl","fr","it","pl","ru"],"example":"en"},"resultSet":{"type":"object","properties":{"rid":{"maxLength":32,"minLength":32,"type":"string","example":"0DB4EBF1500FDEA2DE3F09688EACC54C"},"filterAndSummaryGroups":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","format":"int32","example":44},"type":{"type":"string","maximum":30,"enum":["amenity","roomGroupAmenity","category","type"],"example":"Facere."},"filters":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","format":"int32","example":5},"isSelected":{"type":"integer","format":"int32","enum":[0,1],"minLength":1,"example":1},"rids":{"maxLength":32,"minLength":32,"type":"string","example":"DBF6E0D53333B58C6995C4B69B647095"}}}}}}}}},"onlySuedtirolInfoActive":{"type":"integer","format":"int32","enum":[0,1],"minLength":1,"example":0},"districtRids":{"maxLength":32,"minLength":32,"type":"string","example":"B8C76D0B4A69B392857370834A11BC61"},"minAltitude":{"type":"integer","format":"int32","example":68},"maxAltitude":{"type":"integer","format":"int32","example":62},"representationMode":{"type":"string","enum":["minimal","full","none"],"description":"Representation mode of the Accommodation (see enums list for possible values in the schema definition)","example":"minimal"},"mealPlanRids":{"maxLength":32,"minLength":32,"type":"string","example":"714F99FA941ED033952675914119C1AE"},"amenityRids":{"maxLength":32,"minLength":32,"type":"string","example":"05E7FE80DFEE4419DE05438AFC2925FD"},"roomGroup":{"type":"object","properties":{"amenityRids":{"maxLength":32,"minLength":32,"type":"string","example":"04E46D86AEDB010462F64E79C70F8249"}}},"typeRids":{"maxLength":32,"minLength":32,"type":"string","example":"EA85674BE33B35D564544ADD8F0AD273"},"hasRooms":{"type":"integer","format":"int32","enum":[0,1],"minLength":1,"description":"Defines if the Accommodation has rooms","example":1},"hasApartments":{"type":"integer","format":"int32","enum":[0,1],"minLength":1,"description":"Defines if the Accommodation has apartments","example":1},"categoryRids":{"maxLength":32,"minLength":32,"type":"string","example":"A008BB8CF4C3C5F3434B27C7007C3A1B"},"holidayPackageRids":{"maxLength":32,"minLength":32,"type":"string","example":"28B5B4CA21957657E7238BCA32785862"},"addressGroupRids":{"maxLength":32,"minLength":32,"type":"string","example":"3DB5AC996B938FDD6D84D84D9791AAC3"},"addressGroupCodes":{"maxLength":10,"minLength":10,"type":"string","example":"6A682AC90A"},"onlyBookable":{"type":"integer","format":"int32","enum":[0,1],"minLength":1,"example":0},"onlyActiveGaleries":{"type":"integer","format":"int32","enum":[0,1],"minLength":1,"example":0},"contactType":{"type":"string","enum":["main","invoicing","private"],"example":"invoicing"},"onlyHgvActive":{"type":"integer","format":"int32","enum":[0,1],"minLength":1,"example":1},"onlyAstatActive":{"type":"integer","format":"int32","enum":[0,1],"minLength":1,"example":0},"suedtirolGuestPassCardTypesRids":{"type":"string","maxLength":32,"minLength":32,"example":"8056437C35C35626F85BE996395CECB8"},"searchTerm":{"type":"string","maximum":255,"example":"Quis."}}}},{"name":"sort","in":"query","description":"Requests for retrieved resources to be sorted by the value some selected field. Sorting requests may be in ascending (e.g., sort=startDate) or descending order (e.g., sort=-length) by prefixing the field name with a MINUS (U+002D) character. If the sort value includes a language, the `language` parameter is also required. Sorting is available over (```name,category,random,lastUpdate```) the primitive attributes of an endpoint's resources.","required":false,"schema":{"type":"string"}},{"name":"fields","in":"query","description":"Selects which fields (i.e., attributes or relationships) should be present in returned resource. To exclude a field, add a  \"-\" before its value. Multiple fields can be passed separated by a comma \",\". If only \"rid\" or \"id\" is passed, pagination size is unlimited by default. (e.g. ```ratePlans.*.alpineBitsRatePlanId,ratePlans.*.chargeType,ratePlans.*.code,ratePlans.*.descriptions.*.description.cs,ratePlans.*.descriptions.*.description.de,ratePlans.*.descriptions.*.description.en,ratePlans.*.descriptions.*.description.fr,ratePlans.*.descriptions.*.description.it,ratePlans.*.descriptions.*.description.nl,ratePlans.*.descriptions.*.description.pl,ratePlans.*.descriptions.*.description.ru,ratePlans.*.descriptions.*.type,ratePlans.*.isSpecialOffer,ratePlans.*.lastUpdate,ratePlans.*.name.cs,ratePlans.*.name.de,ratePlans.*.name.en,ratePlans.*.name.fr,ratePlans.*.name.it,ratePlans.*.name.nl,ratePlans.*.name.pl,ratePlans.*.name.ru,ratePlans.*.rid,ratePlans.*.visibility,type.rid,rid,marketingGroups.*.rid,addressGroups.*.rid,amenities.*.rid,areaMap.coordinateX,areaMap.coordinateY,areaMap.number,areaMap.routeColor,category.rid,contacts.*.address.city.cs,contacts.*.address.city.de,contacts.*.address.city.en,contacts.*.address.city.fr,contacts.*.address.city.it,contacts.*.address.city.nl,contacts.*.address.city.pl,contacts.*.address.city.ru,contacts.*.address.country,contacts.*.address.name.cs,contacts.*.address.name.de,contacts.*.address.name.en,contacts.*.address.name.fr,contacts.*.address.name.it,contacts.*.address.name.nl,contacts.*.address.name.pl,contacts.*.address.name.ru,contacts.*.address.name2.cs,contacts.*.address.name2.de,contacts.*.address.name2.en,contacts.*.address.name2.fr,contacts.*.address.name2.it,contacts.*.address.name2.nl,contacts.*.address.name2.pl,contacts.*.address.name2.ru,contacts.*.address.postalCode,contacts.*.address.street.cs,contacts.*.address.street.de,contacts.*.address.street.en,contacts.*.address.street.fr,contacts.*.address.street.it,contacts.*.address.street.nl,contacts.*.address.street.pl,contacts.*.address.street.ru,contacts.*.email,contacts.*.fax,contacts.*.phone,contacts.*.type,contacts.*.website,descriptions.*.description.cs,descriptions.*.description.de,descriptions.*.description.en,descriptions.*.description.fr,descriptions.*.description.it,descriptions.*.description.nl,descriptions.*.description.pl,descriptions.*.description.ru,descriptions.*.type,district.rid,galeries.*.images.*.copyright,galeries.*.images.*.name.cs,galeries.*.images.*.name.de,galeries.*.images.*.name.en,galeries.*.images.*.name.fr,galeries.*.images.*.name.it,galeries.*.images.*.name.nl,galeries.*.images.*.name.pl,galeries.*.images.*.name.ru,galeries.*.images.*.heightPixel,galeries.*.images.*.isActive,galeries.*.images.*.license,galeries.*.images.*.order,galeries.*.images.*.rid,galeries.*.images.*.url,galeries.*.ima
[...]
